commit:     3e86dfcaf07cf4d0f84f9fec5b8025d4bff3189a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 06:46:06 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 06:52:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e86dfca

dev-ruby/rdoc: add 4.2.0

Package-Manager: portage-2.2.20.1

 dev-ruby/rdoc/Manifest          |  1 +
 dev-ruby/rdoc/rdoc-4.2.0.ebuild | 92 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/dev-ruby/rdoc/Manifest b/dev-ruby/rdoc/Manifest
index bbbed6a..f00d90f 100644
--- a/dev-ruby/rdoc/Manifest
+++ b/dev-ruby/rdoc/Manifest
@@ -1,2 +1,3 @@
 DIST rdoc-4.0.1.gem 467456 SHA256 
b712d56c266a8568362bbebcdc385b102b1494ceea099161c71e02f420d716ba SHA512 
11cf6e1700598bd7c414f3ed9d7b75f73bf0f053eb2754d2652bb628e6e47c171646fb420d7b7ee4b589da43fb4b638bc9a2b151ec348c0a20ebaf10f58438c9
 WHIRLPOOL 
471cd451fd4bc947ad4a29802d66182a21079d444963bb3006fb065175285c71351bfb75c1aaf3d5778e5554c9b5562281037ec38df1c0b159e60dfa368016fd
 DIST rdoc-4.1.2.gem 729600 SHA256 
8623c640083f0e06085636a6a719cac993dcccceba5f3f7344ed14c35b941033 SHA512 
e2a369cf4cba1ef0e1429bc0ea5a288011559c37f8a1a82de00bb4a423f57799d6b05ec2110209528f17cbfb4eb437cf569a13698f509ad5f17bd1f4cc8939f7
 WHIRLPOOL 
5e4b7f95d3380e0fcc1ba3ce54dcd91cadb0dd8538651332adb19c873dbb12de3e82b2cd0fffdfab3e2223559627e67642b7d242196416af1dbef269e8d96bca
+DIST rdoc-4.2.0.gem 735232 SHA256 
391bfe3484a69db2cfa0fa32eed9010a7878b33ae645d67558d1806c847290cc SHA512 
d58aebd7969fa8ea795fd4a2b35ba92d0f7368526ae0fc7fa64956db4e3d80c1b61f472384fe7e5eaa628e9c1ee637c967caf1a52362422cb7c2757e486594de
 WHIRLPOOL 
b2b8ee2500c901b8638d1dcd1b8194ee12f447a8ecf56205f77999e75a0f038583382efc6147719d4782befd6a3e4106697ea3158deb00c6183c4388223a720c

diff --git a/dev-ruby/rdoc/rdoc-4.2.0.ebuild b/dev-ruby/rdoc/rdoc-4.2.0.ebuild
new file mode 100644
index 0000000..84b3eb3
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-4.2.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/rdoc/rdoc/";
+
+LICENSE="Ruby MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+       dev-ruby/racc
+       test? (
+               >=dev-ruby/minitest-4:0
+       )"
+
+ruby_add_rdepend "=dev-ruby/json-1* >=dev-ruby/json-1.4"
+
+all_ruby_prepare() {
+       # Other packages also have use for a nonexistent directory, bug 321059
+       sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/test_rdoc*.rb 
|| die
+
+       # Remove unavailable and unneeded isolate plugin for Hoe
+       sed -i -e '/isolate/d' Rakefile || die
+
+       # Remove licenses line from Hoe definitions so we also use older 
versions.
+       sed -i -e '/licenses/ s:^:#:' Rakefile || die
+
+       epatch "${FILESDIR}/${PN}-3.0.1-bin-require.patch"
+
+       # Remove test that is depending on the locale, which we can't garantuee.
+       sed -i -e '/def test_encode_with/,/^  end/ s:^:#:' 
test/test_rdoc_options.rb || die
+
+       # Remove test depending on FEATURES=userpriv, bug 361959
+       sed -i -e '/def test_check_files/,/^  end/ s:^:#:' 
test/test_rdoc_options.rb || die
+
+       # Make sure we get the expected version of minitest.
+       echo 'gem "minitest", "~> 4.0"' > test/test_0000.rb || die
+
+       # Remove tests for code that is not included and not listed in 
Manifest.txt
+       rm -f test/test_rdoc_i18n_{locale,text}.rb \
+          test/test_rdoc_generator_pot* || die
+}
+
+all_ruby_compile() {
+       all_fakegem_compile
+
+       if use doc ; then
+               ruby -Ilib -S bin/rdoc || die
+       fi
+}
+
+each_ruby_compile() {
+       # Generate the file inline here since the Rakefile confuses jruby
+       # into a circular dependency.
+       for file in lib/rdoc/rd/block_parser lib/rdoc/rd/inline_parser ; do
+               ${RUBY} -S racc -l -o ${file}.rb ${file}.ry || die
+       done
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       for bin in rdoc ri; do
+               ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+               for version in 20 21 22; do
+                       if use ruby_targets_ruby${version}; then
+                               ruby_fakegem_binwrapper $bin 
/usr/bin/${bin}${version}
+                               sed -i -e "1s/env ruby/ruby${version}/" \
+                                       "${ED}/usr/bin/${bin}${version}" || die
+                       fi
+               done
+       done
+}

Reply via email to